{
    "SPDXID": "SPDXRef-DOCUMENT",
    "creationInfo": {
        "created": "2024-10-02T17:39:48Z",
        "creators": [
            "Organization: TheQtCompany",
            "Tool: Qt Build System"
        ],
        "comment": "This SPDX document was created from CMake 3.27.7, using the qt\nbuild system from https://code.qt.io/cgit/qt/qtbase.git/tree/cmake/QtPublicSbomHelpers.cmake"
    },
    "dataLicense": "CC0-1.0",
    "externalDocumentRefs": [
        {
            "externalDocumentId": "DocumentRef-qtbase",
            "spdxDocument": "https://qt.io/spdxdocs/qtbase-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "77c8a866352066b323491faf20bff02b0e669a53"
            }
        },
        {
            "externalDocumentId": "DocumentRef-qtmultimedia",
            "spdxDocument": "https://qt.io/spdxdocs/qtmultimedia-6.8.0",
            "checksum": {
                "algorithm": "SHA1",
                "checksumValue": "8488ccfba45ba3b7a0b18653b78f6b9cc5cda5e4"
            }
        }
    ],
    "hasExtractedLicensingInfos": [
        {
            "extractedText": "Licensees holding valid commercial Qt licenses may use this software in\naccordance with the the terms contained in a written agreement between\nyou and The Qt Company. Alternatively, the terms and conditions that were\naccepted by the licensee when buying and/or downloading the\nsoftware do apply.\n\nFor the latest licensing terms and conditions, see https://www.qt.io/terms-conditions.\nFor further information use the contact form at https://www.qt.io/contact-us.\n",
            "licenseId": "LicenseRef-Qt-Commercial"
        }
    ],
    "name": "qtspeech-6.8.0",
    "spdxVersion": "SPDX-2.3",
    "documentNamespace": "https://qt.io/spdxdocs/qtspeech-6.8.0",
    "packages": [
        {
            "SPDXID": "SPDXRef-compiler",
            "copyrightText": "NOASSERTION",
            "downloadLocation": "NOASSERTION",
            "filesAnalyzed": false,
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "Clang",
            "primaryPackagePurpose": "APPLICATION",
            "summary": "The compiler as identified by CMake, running on Windows (AMD64)",
            "supplier": "Organization: Anonymous",
            "versionInfo": "17.0.2"
        },
        {
            "SPDXID": "SPDXRef-Package-qtspeech",
            "builtDate": "2024-10-02T17:39:48Z",
            "comment": "Built by CMake 3.27.7 with RelWithDebInfo configuration for Android (armv7-a)",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtspeech.git",
            "externalRefs": [
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtspeech@6.8.0",
                    "referenceType": "purl"
                }
            ],
            "filesAnalyzed": true,
            "homepage": "https://qt.io",
            "licenseConcluded": "NOASSERTION",
            "licenseDeclared": "NOASSERTION",
            "name": "qtspeech",
            "packageVerificationCode": {
                "packageVerificationCodeValue": "6010b8ed6c3edf7e6405dc2474b1d81e0872b87d"
            },
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtspeech-qt-plugin-TextToSpeechQml",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtspeech.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtspeech?library_name=TextToSpeechQml#src/tts/qml",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtspeech-TextToSpeechQml?vcs_url=https://code.qt.io/qt/qtspeech.git&library_name=TextToSpeechQml#src/tts/qml",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtspeech:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "TextToSpeechQml",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtspeech-qt-module-TextToSpeech",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtspeech.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtspeech?library_name=TextToSpeech#src/tts",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtspeech-TextToSpeech?vcs_url=https://code.qt.io/qt/qtspeech.git&library_name=TextToSpeech#src/tts",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtspeech:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "TextToSpeech",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtspeech-qt-plugin-QTextToSpeechMockPlugin",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtspeech.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtspeech?library_name=QTextToSpeechMockPlugin#src/plugins/tts/mock",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtspeech-QTextToSpeechMockPlugin?vcs_url=https://code.qt.io/qt/qtspeech.git&library_name=QTextToSpeechMockPlugin#src/plugins/tts/mock",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtspeech:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "QTextToSpeechMockPlugin",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        },
        {
            "SPDXID": "SPDXRef-Package-qtspeech-qt-plugin-QTextToSpeechEngineAndroidPlugin",
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "downloadLocation": "git://code.qt.io/qt/qtspeech.git",
            "externalRefs": [
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:github/qt/qtspeech?library_name=QTextToSpeechEngineAndroidPlugin#src/plugins/tts/android/src",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "PACKAGE_MANAGER",
                    "referenceLocator": "pkg:generic/TheQtCompany/qtspeech-QTextToSpeechEngineAndroidPlugin?vcs_url=https://code.qt.io/qt/qtspeech.git&library_name=QTextToSpeechEngineAndroidPlugin#src/plugins/tts/android/src",
                    "referenceType": "purl"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qtspeech:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                },
                {
                    "referenceCategory": "SECURITY",
                    "referenceLocator": "cpe:2.3:a:qt:qt:6.8.0:*:*:*:*:*:*:*",
                    "referenceType": "cpe23Type"
                }
            ],
            "filesAnalyzed": true,
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseDeclared": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "name": "QTextToSpeechEngineAndroidPlugin",
            "primaryPackagePurpose": "LIBRARY",
            "supplier": "Organization: TheQtCompany",
            "versionInfo": "6.8.0"
        }
    ],
    "files": [
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-TextToSpeechQml",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "eb7c110ebc60778edf5969ad26b134096dd11151"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./qml/QtTextToSpeech/libqml_QtTextToSpeech_texttospeechqmlplugin_armeabi-v7a.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-module-TextToSpeech",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "766ea7e7fbb777de92ed1b605393c36b54f0e62a"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./lib/libQt6TextToSpeech_armeabi-v7a.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-QTextToSpeechMockPlugin",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "6faf9271b6fa955c2ebe9a9f7daf48196bba6678"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./plugins/texttospeech/libplugins_texttospeech_qtexttospeech_mock_armeabi-v7a.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        },
        {
            "SPDXID": "SPDXRef-PackagedFile-qt-plugin-QTextToSpeechEngineAndroidPlugin",
            "checksums": [
                {
                    "algorithm": "SHA1",
                    "checksumValue": "4f553d465108c60c433b5f0429f8a1fc29c59bf5"
                }
            ],
            "copyrightText": "Copyright (C) 2024 The Qt Company Ltd.",
            "fileName": "./plugins/texttospeech/libplugins_texttospeech_qttexttospeech_android_armeabi-v7a.so",
            "fileTypes": [
                "BINARY"
            ],
            "licenseConcluded": "LicenseRef-Qt-Commercial OR LGPL-3.0-only OR GPL-2.0-only OR GPL-3.0-only",
            "licenseInfoInFiles": [
                "NOASSERTION"
            ]
        }
    ],
    "relationships": [
        {
            "spdxElementId": "SPDXRef-compiler",
            "comment": "SPDXRef-Package-qtspeech is built by compiler Clang (C:/Utils/Android/android-ndk-r26b/toolchains/llvm/prebuilt/windows-x86_64/bin/clang++.exe) version 17.0.2",
            "relatedSpdxElement": "SPDXRef-Package-qtspeech",
            "relationshipType": "BUILD_DEPENDENCY_OF"
        },
        {
            "spdxElementId": "SPDXRef-DOCUMENT",
            "relatedSpdxElement": "SPDXRef-Package-qtspeech",
            "relationshipType": "DESCRIBES"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech-qt-plugin-TextToSpeechQml",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech-qt-plugin-TextToSpeechQml",
            "relatedSpdxElement": "SPDXRef-Package-qtspeech-qt-module-TextToSpeech",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech",
            "relatedSpdxElement": "SPDXRef-Package-qtspeech-qt-plugin-TextToSpeechQml",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech-qt-plugin-TextToSpeechQml",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-TextToSpeechQml",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech-qt-plugin-TextToSpeechQml",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-TextToSpeechQml",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-TextToSpeechQml",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/qml/qtexttospeech_qmltypes_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-TextToSpeechQml",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/qml/qdeclarativetexttospeech.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-TextToSpeechQml",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/qml/qdeclarativetexttospeech_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-TextToSpeechQml",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/qml/qvoiceselectorattached.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-TextToSpeechQml",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/qml/qvoiceselectorattached_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-TextToSpeechQml",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/qml/C:/Users/qt/work/qt/qtspeech/build/target/src/tts/qml/meta_types/qt6texttospeechqml_relwithdebinfo_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-TextToSpeechQml",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/qml/C:/Users/qt/work/qt/qtspeech/build/target/src/tts/qml/texttospeechqml_qmltyperegistrations.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-TextToSpeechQml",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/qml/C:/Users/qt/work/qt/qtspeech/build/target/src/tts/qml/.qt/rcc/qrc_qmake_QtTextToSpeech.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-TextToSpeechQml",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/qml/C:/Users/qt/work/qt/qtspeech/build/target/src/tts/qml/TextToSpeechQml_QtTextToSpeechPlugin.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech-qt-module-TextToSpeech",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech-qt-module-TextToSpeech",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformModuleInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech-qt-module-TextToSpeech",
            "relatedSpdxElement": "DocumentRef-qtmultimedia:SPDXRef-Package-qtmultimedia-qt-module-Multimedia",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech",
            "relatedSpdxElement": "SPDXRef-Package-qtspeech-qt-module-TextToSpeech",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech-qt-module-TextToSpeech",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-TextToSpeech",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech-qt-module-TextToSpeech",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-module-TextToSpeech",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-TextToSpeech",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/qtexttospeech.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-TextToSpeech",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/qtexttospeech.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-TextToSpeech",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/qtexttospeech_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-TextToSpeech",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/qtexttospeech_global.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-TextToSpeech",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/qtexttospeechengine.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-TextToSpeech",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/qtexttospeechengine.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-TextToSpeech",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/qtexttospeechplugin.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-TextToSpeech",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/qtexttospeechplugin.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-TextToSpeech",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/qvoice.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-TextToSpeech",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/qvoice.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-TextToSpeech",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/qvoice_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-TextToSpeech",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/C:/Users/qt/work/qt/qtspeech/build/target/src/tts/qttexttospeech-config.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-TextToSpeech",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/C:/Users/qt/work/qt/qtspeech/build/target/src/tts/qttexttospeech-config_p.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-module-TextToSpeech",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/tts/C:/Users/qt/work/qt/qtspeech/build/target/src/tts/meta_types/qt6texttospeech_relwithdebinfo_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech-qt-plugin-QTextToSpeechMockPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech-qt-plugin-QTextToSpeechMockPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech-qt-plugin-QTextToSpeechMockPlugin",
            "relatedSpdxElement": "SPDXRef-Package-qtspeech-qt-module-TextToSpeech",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech",
            "relatedSpdxElement": "SPDXRef-Package-qtspeech-qt-plugin-QTextToSpeechMockPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech-qt-plugin-QTextToSpeechMockPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QTextToSpeechMockPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech-qt-plugin-QTextToSpeechMockPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QTextToSpeechMockPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTextToSpeechMockPlugin",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/plugins/tts/mock/qtexttospeech_mock.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTextToSpeechMockPlugin",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/plugins/tts/mock/qtexttospeech_mock.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTextToSpeechMockPlugin",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/plugins/tts/mock/qtexttospeech_mock_plugin.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTextToSpeechMockPlugin",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/plugins/tts/mock/qtexttospeech_mock_plugin.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTextToSpeechMockPlugin",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/plugins/tts/mock/C:/Users/qt/work/qt/qtspeech/build/target/src/plugins/tts/mock/meta_types/qt6qtexttospeechmockplugin_relwithdebinfo_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech-qt-plugin-QTextToSpeechEngineAndroidPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-Core",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech-qt-plugin-QTextToSpeechEngineAndroidPlugin",
            "relatedSpdxElement": "DocumentRef-qtmultimedia:SPDXRef-Package-qtmultimedia-qt-module-Multimedia",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech-qt-plugin-QTextToSpeechEngineAndroidPlugin",
            "relatedSpdxElement": "DocumentRef-qtbase:SPDXRef-Package-qtbase-qt-module-PlatformPluginInternal",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech-qt-plugin-QTextToSpeechEngineAndroidPlugin",
            "relatedSpdxElement": "SPDXRef-Package-qtspeech-qt-module-TextToSpeech",
            "relationshipType": "DEPENDS_ON"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech",
            "relatedSpdxElement": "SPDXRef-Package-qtspeech-qt-plugin-QTextToSpeechEngineAndroidPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech-qt-plugin-QTextToSpeechEngineAndroidPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QTextToSpeechEngineAndroidPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-Package-qtspeech-qt-plugin-QTextToSpeechEngineAndroidPlugin",
            "relatedSpdxElement": "SPDXRef-PackagedFile-qt-plugin-QTextToSpeechEngineAndroidPlugin",
            "relationshipType": "CONTAINS"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTextToSpeechEngineAndroidPlugin",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/plugins/tts/android/src/qtexttospeech_android.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTextToSpeechEngineAndroidPlugin",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/plugins/tts/android/src/qtexttospeech_android.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTextToSpeechEngineAndroidPlugin",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/plugins/tts/android/src/qtexttospeech_android_plugin.cpp",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTextToSpeechEngineAndroidPlugin",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/plugins/tts/android/src/qtexttospeech_android_plugin.h",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        },
        {
            "spdxElementId": "SPDXRef-PackagedFile-qt-plugin-QTextToSpeechEngineAndroidPlugin",
            "comment": "C:/Users/qt/work/qt/qtspeech/src/plugins/tts/android/src/C:/Users/qt/work/qt/qtspeech/build/target/src/plugins/tts/android/src/meta_types/qt6qtexttospeechengineandroidplugin_relwithdebinfo_metatypes.json.gen",
            "relatedSpdxElement": "NOASSERTION",
            "relationshipType": "GENERATED_FROM"
        }
    ]
}